## AgsRemoveAudioSignal

AgsRemoveAudioSignal — remove audio_signal object from recycling

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsRemoveAudioSignal * | ags_remove_audio_signal_new ()

## Properties

AgsAudioSignal * | audio-signal | Read / Write
AgsRecycling * | recycling | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsRemoveAudioSignal

## Includes

    #include <ags/audio/task/ags_remove_audio_signal.h>

## Description

The AgsRemoveAudioSignal task removes AgsAudioSignal from AgsRecycling.

## Functions

### ags_remove_audio_signal_new ()

    AgsRemoveAudioSignal *
    ags_remove_audio_signal_new (AgsRecycling *recycling,
                                 AgsAudioSignal *audio_signal);

Create a new instance of AgsRemoveAudioSignal.

#### Parameters

recycling | the AgsRecycling |
audio_signal | the AgsAudioSignal to remove |

#### Returns

the new AgsRemoveAudioSignal

Since: 3.0.0

## Property Details

### The `“audio-signal”` property

      “audio-signal”             AgsAudioSignal *

The assigned AgsAudioSignal

Owner: AgsRemoveAudioSignal

Flags: Read / Write

Since: 3.0.0

### The `“recycling”` property

      “recycling”                AgsRecycling *

The assigned AgsRecycling

Owner: AgsRemoveAudioSignal

Flags: Read / Write

Since: 3.0.0